# -*- coding: UTF-8 -*-

"""
This file is part of RT1.
(c) 2016- Raphael Quast
For COPYING and LICENSE details, please refer to the LICENSE file
"""

from setuptools import setup
from setuptools import find_packages


def get_packages():
    find_packages(exclude=['contrib', 'docs', 'tests*']),
    return find_packages()


setup(name='rt1',

      version='v0.0.3',

      description='RT1 - bistatic single scattering radiative transfer model',

      packages=get_packages(),
      package_dir={'rt1': 'rt1'},

      author="Raphael Quast",
      author_email='raphael.quast@geo.tuwien.ac.at',
      maintainer='Raphael Quast',
      maintainer_email='raphael.quast@geo.tuwien.ac.at',

      #~ license='APACHE 2',

      url='https://github.com/TUW-GEO/rt1',

      long_description=('A module to perform forward-simulation and ' +
                        'parameter-inversion of incidence-angle dependent ' +
                        'backscatter observations based on a first-order ' +
                        'radiative-transfer model describing a rough surface' +
                        ' covered by a homogeneous layer of scattering media.'
                        ),

      install_requires=["numpy>=1.16", "sympy>=1.4", "scipy>=1.2", "pandas>=0.24",
                        "matplotlib>=3.0"],
      extras_require={'symengine' : ["symengine>=0.4"]},

      keywords=["physics", "radiative transfer"],

      # See https://pypi.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[
          'Intended Audience :: Science/Research',
          'Topic :: Scientific/Engineering :: Atmospheric Science',

          # Pick your license as you wish (should match "license" above)
          #~ 'License :: OSI Approved :: MIT License',

          'Programming Language :: Python :: 3.7'
      ],

      )


